The constants below are defined by this extension, and will only be available when the extension has either been compiled into PHP or dynamically loaded at runtime.
FORCE_GZIP
FORCE_DEFLATE
ZLIB_ENCODING_RAW
DEFLATE algorithm as per RFC 1951.
ZLIB_ENCODING_DEFLATE
ZLIB compression algorithm as per RFC 1950.
ZLIB_ENCODING_GZIP
GZIP algorithm as per RFC 1952.
ZLIB_FILTERED
ZLIB_HUFFMAN_ONLY
ZLIB_FIXED
ZLIB_RLE
ZLIB_DEFAULT_STRATEGY
ZLIB_BLOCK
ZLIB_NO_FLUSH
ZLIB_PARTIAL_FLUSH
ZLIB_SYNC_FLUSH
ZLIB_FULL_FLUSH
ZLIB_FINISH
ZLIB_VERSION
zlib version number as a string.
zlib
ZLIB_VERNUM
zlib version number as an int.
ZLIB_OK
No errors or additional status information.
ZLIB_STREAM_END
Stream ended successfully.
ZLIB_NEED_DICT
Preset dictionary is needed.
ZLIB_ERRNO
File operation error.
ZLIB_STREAM_ERROR
Stream state is inconsistent or a parameter is invalid.
ZLIB_DATA_ERROR
Input data is corrupted.
ZLIB_MEM_ERROR
Insufficient memory.
ZLIB_BUF_ERROR
No progress is possible due to insufficient buffer space or unexpected ending of an input stream.
ZLIB_VERSION_ERROR
zlib library version is incompatible with the version assumed by the caller.